Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 450960 - Compiling crashes system and corrupts CMOS RAM
Summary: Compiling crashes system and corrupts CMOS RAM
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 8
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-11 21:53 UTC by Nivag
Modified: 2009-01-09 06:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 06:35:31 UTC


Attachments (Terms of Use)

Description Nivag 2008-06-11 21:53:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-GB; rv:1.8.1.14) Gecko/20080404 Firefox/2.0.0.14

Description of problem:
I have a dual core AMD64 4200+ with 4 Gig of RAM, running
Fedora 8, with all the latest updates applied at the time
of compilation.
The last time I attempted to compile either
    sage 3.0.2
    http://www.sagemath.org
or
    'The Battle of Wesnoth' 1.4.3
    http://www.wesnoth.org

My system crashed so badly that I had to reset the CMOS
RAM, to the values I need:
- for RAID
- to eliminate the memory hole

I think the last time I successfully compiled them, was
with kernel 2.6.24.5-85.fc8 for:
    sage 3.0.1 (one attempt did crash the system badly)
and
    'The Battle of Wesnoth' 1.4.2

Note that while thee may be a problem with gcc, or some other component, I think that the kernel should never crash as a result of doing something in user space.

Version-Release number of selected component (if applicable):
kernel 2.6.25.4-10.fc8

How reproducible:
Always


Steps to Reproduce:
1. follow the instructions to compile either of the 2 packages...


Actual Results:
System craghed and had to reset CMOS RAM tbefore I could feboot.

Expected Results:
At very least not crashing and giving appropriate error messages.

At best successful compiles.

Additional info:
N/A

If requested, I will try and dig out details of my motherboard.

Comment 1 Bug Zapper 2008-11-26 10:51:27 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2009-01-09 06:35:31 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.